Rotate the webhook secret
curl --request POST \
--url https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"secret": "whsec_8c1d...",
"rotatedAt": "2026-10-24T10:00:00Z"
}Webhooks
Rotate the webhook secret
Replaces the secret; every delivery from now on is signed with the new one.
POST
/
notifications
/
merchants
/
me
/
webhook-secret
/
rotate
Rotate the webhook secret
curl --request POST \
--url https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/notifications/merchants/me/webhook-secret/rotate");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"merchantId": "0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b",
"secret": "whsec_8c1d...",
"rotatedAt": "2026-10-24T10:00:00Z"
}